/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.traincompany.bom;

/**
 * A stretch of track, which has a length, positive hill 
 * climbs and negative hill decents.
 */
public class Segment {

	private double lengthMeters;
	private Station from;
	private Station to;
	private int altitudeChange;

	public int getAltitudeChange() {
		return altitudeChange;
	}

	public void setAltitudeChange(int altitudeChange) {
		this.altitudeChange = altitudeChange;
	}

	public double getLengthMeters() {
		return lengthMeters;
	}
	
	public void setLengthMeters(double lengthMeters) {
		this.lengthMeters = lengthMeters;
	}

	public Station getFrom() {
		return from;
	}

	public void setFrom(Station from) {
		this.from = from;
	}

	public Station getTo() {
		return to;
	}

	public void setTo(Station to) {
		this.to = to;
	}
	
}
