/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.maxant.traincompany.bom;

import java.util.ArrayList;
import java.util.List;

/**
 * Consists of a list of Locomotives, and a list of 
 * Wagons.  The assembly of a train comes from the 
 * Timetable.
 */
public class Train {

	private List<Locomotive> locomotives = new ArrayList<Locomotive>();
	private List<Wagon> wagons = new ArrayList<Wagon>();
	private String trainNumber;
	
	/** based on frontal area really, so kind of based on wagons and locs, but lets say its somehow just present on the train */
	private double dragCoefficient;

	public double getDragCoefficient() {
		return dragCoefficient;
	}

	public void setDragCoefficient(double dragCoefficient) {
		this.dragCoefficient = dragCoefficient;
	}

	public List<Wagon> getWagons() {
		return wagons;
	}

	public List<Locomotive> getLocomotives() {
		return locomotives;
	}

	public String getTrainNumber() {
		return trainNumber;
	}
	
}
